Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.io.nio
Interface NIOBuffer

All Superinterfaces:
  Buffer, java.lang.Cloneable

All Known Implementing Classes:
  DirectNIOBuffer, IndirectNIOBuffer

    public interface NIOBuffer

extends Buffer

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.jetty.io.Buffer
`Buffer.CaseInsensitve`

Field Summary

Fields inherited from interface org.eclipse.jetty.io.Buffer
`IMMUTABLE, NON_VOLATILE, READONLY, READWRITE, VOLATILE`

Method Summary
`java.nio.ByteBuffer` | `getByteBuffer()`
`boolean` | `isDirect()`

Methods inherited from interface org.eclipse.jetty.io.Buffer
`array, asArray, asImmutableBuffer, asMutableBuffer, asNonVolatileBuffer, asReadOnlyBuffer, buffer, capacity, clear, compact, equalsIgnoreCase, get, get, get, getIndex, hasContent, isImmutable, isReadOnly, isVolatile, length, mark, mark, markIndex, peek, peek, peek, peek, poke, poke, poke, put, put, put, put, putIndex, readFrom, reset, setGetIndex, setMarkIndex, setPutIndex, skip, slice, sliceFromMark, sliceFromMark, space, toDetailString, toString, writeTo`

Method Detail

### getByteBuffer

    java.nio.ByteBuffer getByteBuffer()

### isDirect

    boolean isDirect()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.